#!/bin/bash

# Commande de base avec Docker
npm="docker run -it --rm --user $(id -u):$(id -g) -v $PWD:/home/node/app -w /home/node/app node:lts-alpine ash -c 'npm config set update-notifier false && npm"
ash="docker run -it --rm --user $(id -u):$(id -g) -v $PWD:/home/node/app -w /home/node/app apteno/alpine-jq ash"

# Suppression des fichiers
echo $'\n\n#\n# Suppression des fichiers 🧹\n#\n'
eval $npm run clean\'

# Installation des dépendances
echo $'\n\n#\n# Installation des dépendances ⬇️\n#\n'
eval $npm install\'

# Téléchargement des données
echo $'\n\n#\n# Téléchargement des données 💡\n#\n'
eval $npm run download\'
eval $ash ./scripts/download.sh

# Transformation des données
echo $'\n\n#\n# Transformation des données 🏗️\n#\n'
eval $npm run transform\'
eval $ash ./scripts/transform.sh

echo $'\n\n#\n# Le projet est prêt à être lancé avec Docker 🚀\n#\n'
